#!/bin/bash

# this utility is to compare the current build settings with the one from onelab

COMMAND=$(basename $0)

REF=$HOME/git/build

function usage () {
    echo "Usage: $COMMAND update|body|tags"
    echo "update: performs svn up on the mainstream build dir"
    echo "body: compares the .mk file"
    echo "tags: compares the tags (taken from k32)"
    exit 1
}

function update () {
    echo "Updating $REF"
    (cd $REF ; git pull)
    echo "Update done"
}

function check_body () {
    a=$REF/onelab.mk
    b=wextoolbox.mk
    echo "Checking body $a $b"
    diff -w $a $b | egrep -v '^(<|>)( #| +$)|nozomi|comgt|planetlab-umts-tools|boost|gnuradio|bbn|crunchxml|spectools|sge|iwlwifi|kernelconfig=planetlab|umts|DistributedRateLimiting'
}

function check_tags () {
    a=$REF/onelab-k32-tags.mk
    b=wextoolbox-tags.mk
    echo "Checking tags $a $b"
    diff -w $REF/onelab-k32-tags.mk wextoolbox-tags.mk | egrep -v '^(<|>) #|SVNBRANCH|nozomi|comgt|planetlab-umts-tools|boost|gnuradio|bbn_80211|crunchxml|spectools|ejabberd|omf|DistributedRateLimiting'
}

[[ -z "$@" ]] && usage

for arg in "$@" ; do
    case $arg in
	up*) update ;;
	bo*) check_body ;;
	ta*) check_tags ;;
	*) usage;;
    esac
done
